

import Vue from 'vue'
import Router from 'vue-router'

import Course from '@/views/Course.vue'//课程
import MyCollection from '@/views/MyCollection.vue'//收藏
import SignIn from '@/views/SignIn.vue'//打卡
import ClassInfo from '@/views/ClassInfo.vue'//课堂详情
import StrongPhoto from '@/views/StrongPhoto.vue'//精彩集锦
import UserCenter from '@/views/UserCenter.vue'//我的页面
import Questionnaire from '@/views/Questionnaire.vue'
import SetUser from '@/views/userPages/SetUser.vue'//修改个人信息
// // import Login from '../Login.vue'


Vue.use(Router)

const router = new Router({
  routes: [

    {
      path: '/',
      name: 'index',
      redirect: '/Course',
      component: () => import('@/layout/index.vue'),
      children: [
        //培训通知
        {
          path: 'Course',
          name: 'Course',
          component: Course,
        },
        //精彩集锦
        {
          path: 'StrongPhoto',
          name: 'StrongPhoto',
          component: StrongPhoto,
        },
        //个人中心
        {
          path: 'UserCenter',
          name: 'UserCenter',
          component: UserCenter,
        },
      ]
    },

    // 修改个人信息
    {
      path: '/SetUser',
      name: 'SetUser',
      component: SetUser,
    },
    //问卷页面
    {
      path: '/Questionnaire',
      name: 'Questionnaire',
      component: Questionnaire,
    },
    //打卡页面
    {
      path: '/SignIn',
      name: 'SignIn',
      component: SignIn,
    },
    //课程详情页面
    {
      path: '/ClassInfo',
      name: 'ClassInfo',
      component: ClassInfo,
    },
    //收藏
    {
      path: '/MyCollection',
      name: 'MyCollection',
      component: MyCollection,
    },
  ]

})

export default router;