


import axios from 'axios'
import store from '../store'
export const domain = process.env.NODE_ENV === 'development' ? '' : 'http://training.stategrid.njyunzhi.com'

export default function (url, options) {
  const { params, header, ...leftOptions } = options || {}

  return new Promise((resolve, reject) => {
    const { code, token } = store.state.user
    let header = {
      'X-Authorization-JWT': token,
    }
    axios.request({
      ...leftOptions,
      url: `${domain}${url}`,
      // header: header,
      headers: header,
    }).then(res => {
      const { code, data, message } = res.data
      if (code === 1000) {
        resolve(data)
      } else {
        reject(res.data)
      }
    }).catch(err => {
      const message = err.message || err.errMsg || err
      console.error("🚀 错误~ err", err)


      if (err.message.includes('timeout')) {
        // 请求超时
        // Message.error('请求超时')
      }
      reject(message)
    }).finally(() => {
      // 请求结束
    })
  })
}

